summaryrefslogtreecommitdiffstats
path: root/libraries/DirectFB
diff options
context:
space:
mode:
author Antonio Hern√°ndez Blas <hba.nihilismus@gmail.org>2010-05-11 22:53:54 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:54 +0200
commit4a8a5c6d6706f626c4c313f3de4f7140a85997b0 (patch)
tree3a1fcb1c7ace071db9fc659c6088f7f254eb0ba0 /libraries/DirectFB
parent21470f869649d1f281c8ef21ad2862d16aaaad97 (diff)
downloadslackbuilds-4a8a5c6d6706f626c4c313f3de4f7140a85997b0.tar.gz
slackbuilds-4a8a5c6d6706f626c4c313f3de4f7140a85997b0.tar.xz
libraries/DirectFB: Added to 12.1 repository
Diffstat (limited to 'libraries/DirectFB')
-rw-r--r--libraries/DirectFB/DirectFB.SlackBuild95
-rw-r--r--libraries/DirectFB/DirectFB.info8
-rw-r--r--libraries/DirectFB/README7
-rw-r--r--libraries/DirectFB/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/libraries/DirectFB/DirectFB.SlackBuild b/libraries/DirectFB/DirectFB.SlackBuild
new file mode 100644
index 0000000000..9076f69a99
--- /dev/null
+++ b/libraries/DirectFB/DirectFB.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for DirectFB
+
+# Copyright (c) 2008, Antonio HernŠndez Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=DirectFB
+VERSION=1.0.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-shared=yes \
+ --enable-static=no \
+ --with-gfxdrivers=all \
+ --with-inputdrivers=all \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ docs/README.screenshots docs/html $PKG/usr/doc/$PRGNAM-$VERSION
+rm $PKG/usr/doc/$PRGNAM-$VERSION/html/Makefile*
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/DirectFB/DirectFB.info b/libraries/DirectFB/DirectFB.info
new file mode 100644
index 0000000000..d709e862c2
--- /dev/null
+++ b/libraries/DirectFB/DirectFB.info
@@ -0,0 +1,8 @@
+PRGNAM="DirectFB"
+VERSION="1.0.1"
+HOMEPAGE="http://www.directfb.org"
+DOWNLOAD="http://www.directfb.org/downloads/Core/DirectFB-1.0.1.tar.gz"
+MD5SUM="539e4b304d08bb0a2080c7b3f321d96f"
+MAINTAINER="Antonio HernŠndez Blas"
+EMAIL="hba.nihilismus@gmail.org"
+APPROVED="David Somero"
diff --git a/libraries/DirectFB/README b/libraries/DirectFB/README
new file mode 100644
index 0000000000..c645101c86
--- /dev/null
+++ b/libraries/DirectFB/README
@@ -0,0 +1,7 @@
+DirectFB is a thin library that provides developers with hardware
+graphics acceleration, input device handling and abstraction,
+integrated windowing system with support for translucent windows and
+multiple display layers on top of the Linux Framebuffer Device. It is
+a complete hardware abstraction layer with software fallbacks for
+every graphics operation that is not supported by the underlying
+hardware.
diff --git a/libraries/DirectFB/slack-desc b/libraries/DirectFB/slack-desc
new file mode 100644
index 0000000000..4484e7a8fb
--- /dev/null
+++ b/libraries/DirectFB/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+DirectFB: DirectFB (A new Linux graphics standard)
+DirectFB:
+DirectFB: DirectFB is a thin library that provides developers with hardware
+DirectFB: graphics acceleration, input device handling and abstraction,
+DirectFB: integrated windowing system with support for translucent windows and
+DirectFB: multiple display layers on top of the Linux Framebuffer Device. It is
+DirectFB: a complete hardware abstraction layer with software fallbacks for
+DirectFB: every graphics operation that is not supported by the underlying
+DirectFB: hardware.
+DirectFB:
+DirectFB: Homepage: http://www.directfb.org